## Package org.apache.lucene.xmlparser

Interface Summary
FilterBuilder
QueryBuilder: Implemented by objects that produce Lucene Query objects from XML streams.

Class Summary
CoreParser: Assembles a QueryBuilder which uses only core Lucene Query objects
CorePlusExtensionsParser: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements.
DOMUtils: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements.
FilterBuilderFactory
QueryBuilderFactory
QueryTemplateManager: Provides utilities for turning query form input (such as from a web page or Swing gui) into Lucene XML queries by using XSL templates.

Exception Summary
ParserException

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.